---
- hosts: all
  become: yes
  gather_facts: yes

# demonstration on how to run a few quick commands 
# with ansible on server boot

  tasks:
    - name: check if puppet is already disabled
      shell: '/usr/local/bin/puppet-enabled'
      register: puppet_enabled
      failed_when: puppet_enabled.rc >= 2
      changed_when: puppet_enabled.rc == 0

    - name: disable puppet to prevent package manager locking
      shell: '/usr/local/sbin/disable-puppet "test instance"'
      when: puppet_enabled.rc != 1

# However, if you want to 

- hosts: kube_workers
  become: yes
  gather_facts: yes

  roles:
    -  zsh